package com.emato.cuspay.service.merch.impl;

import com.emato.cuspay.common.contant.TablePrimaryKeyPrefix;
import com.emato.cuspay.common.core.db.IdWorkerAide;
import com.emato.cuspay.dao.mapper.merch.MerchPayCfgMapper;
import com.emato.cuspay.dto.merch.MerchPayCfg;
import com.emato.cuspay.service.merch.MerchPaymentService;
import com.emato.cuspay.support.msg.resp.ResponseMessage;
import com.emato.cuspay.support.msg.resp.ResponseStatus;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zx
 * @version 1.0
 * 2018-05-17 13:35
 */

@Service
public class MerchPaymentServiceImpl implements MerchPaymentService{

    @Autowired
    private MerchPayCfgMapper merchPayCfgMapper;

    public ResponseMessage addMerchPayCfg(MerchPayCfg merchPayCfg) {
        merchPayCfg.setMerchSn(TablePrimaryKeyPrefix.merch_pay_cfg_type + IdWorkerAide.nextId());
        int result = merchPayCfgMapper.insertSelective(merchPayCfg);
        if (result > 0) {
            return ResponseMessage.builder(ResponseStatus.SUCCESS.getItem(), "添加成功").build();
        }
        return ResponseMessage.builder(ResponseStatus.ERROR.getItem(), "添加失败").build();
    }

}
