package com.emato.cuspay.task.wx;

import com.emato.cuspay.declare.CusDeclare;
import com.emato.cuspay.notify.MerchantNotice;
import com.emato.cuspay.service.merch.MerchNotify;
import com.emato.cuspay.service.wx.CusPayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 定时器
 * @author zx
 * @version 1.0
 * 2018-05-15 17:16
 */

@Component
public class WxCusTimer {

    @Autowired
    private CusPayService customService;

    private MerchNotify merchNotify;

    @Autowired
    private CusDeclare cusDeclare;

    @Autowired
    private MerchantNotice merchantNotice;
    /**
     * 支付申报定时任务
     */
    @Scheduled(fixedRate = 10000)
    public void declareTask() {
        customService.declarePayment();
    }

    /**
     * 异步通知
     */
    @Scheduled(fixedRate = 10000)
    public void notifyTask() {
        cusDeclare.declare();
    }
}
